/*****************************************************************************/
/*          bmsgateway stub functions for proper and save usage              */
/*                  of the RPI_do(in,out) commands.                          */
/*****************************************************************************/

/* title:    user interface functions for beams plugins */
/* author:   Reinhard Grams  */
/* version:  1.0, 20.10.97   */
/* updated:  10.3.98 */
/*
   (c) 1998 und Vertrieb Oberland Computer
   In der Schneithohl 5
   61476 Kronberg
   Deutschland
   Tel.: 06173-608-0
   Fax:  06173-63385

   Support-Telefon: 06173-608-190
   Support-Fax:     06173-608-250
   Internet, WWW:   http://www.oberland.com
*/
/*****************************************************************************/
/* display a message window */

   long 
BPI_message_win
   (BPI_HANDLE handle,char *mess)
{
   /* handle:       bmsgateway-handle
      mess:         message to display
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.id=BMS_MESSAGE_WIN;
   in.s_param[0]=mess;
   return(RPI_do(&in,&out));   
}
/*****************************************************************************/
/* get the coords of the render engine's last hit on the textured triangles */

   long 
BPI_get_last_ptex_hit
   (BPI_HANDLE handle,long marke,float *global,float *local,long *valid)
{
   /* handle:       bmsgateway-handle
      marke:        internal flag as delivered by beams
      global:       destination for the global coords of last hit
      local:        destination for the local coords of last hit
      valid:        destination for the result, 0 == no last hit
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   long ret;

   in.v_param[0]=handle;
   in.id=BMS_GET_LAST_PTEX_HIT;
   in.l_param[0]=marke;
   if (ret=RPI_do(&in,&out)) {
       if (*valid=out.l_param[0]) {
          global[0]=out.f_param[0];
          global[1]=out.f_param[1];
          global[2]=out.f_param[2];
          local[0]=out.f_param[3];
          local[1]=out.f_param[4];
          local[2]=out.f_param[5];
       }
   }
   return(ret);
}
/*****************************************************************************/
/* get the local coords from the global coords of a point */

   long 
BPI_get_local_ptex_coord
   (BPI_HANDLE handle,float *global,float *local)
{
   /* handle:       bmsgateway-handle
      global:       the global coords of the point
      local:        destination for the local coords
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   long ret;

   in.v_param[0]=handle;
   in.id=BMS_GET_LOKAL_PTEX_KOORD;
   in.f_param[0]=global[0];
   in.f_param[1]=global[1];
   in.f_param[2]=global[2];
   if (ret=RPI_do(&in,&out)) {
      local[0]=out.f_param[0];
      local[1]=out.f_param[1];
      local[2]=out.f_param[2];
   }
   return(ret);
}
/*****************************************************************************/
