/*****************************************************************************/
/*                 data definitions for reflections plugins                  */
/*****************************************************************************/

/* title:    data definitions */
/* author:   Carsten Fuchs  */
/* version:  1.0, 16.9.97   */
/* updated:  10.3.98 by RG */
/*
   (c) 1998 und Vertrieb Oberland Computer
   In der Schneithohl 5
   61476 Kronberg
   Deutschland
   Tel.: 06173-608-0
   Fax:  06173-63385

   Support-Telefon: 06173-608-190
   Support-Fax:     06173-608-250
   Internet, WWW:   http://www.oberland.com
*/
/*****************************************************************************/

#ifndef FPLUG_D
#define FPLUG_D

#ifdef AMIGA
   #define REFPROG __saveds __asm
   #define PTR0 register __a0
   #define PTR1 register __a1
#endif

#ifdef WINDOWS
   #define REFPROG
   #define PTR0
   #define PTR1
#endif

/*****************************************************************************/

typedef struct
{
   long  id;
   long  l_param[10];
   float f_param[10];
   void  *v_param[10];
   char  *s_param[10];

} PLI_param;

/*
   PLI_param holds all parameters of a message. it is used for input and
   output of the message handler of a plugin and for the RPI_do command.

   the id field contains the id number of a message. e.g. PLI_LOAD_SCENE.
   the individual parameters are stored in the appropriate arrays,
   depending on the type of the parameter.

      l_param (32-bit long integer values)
      f_param (32-bit float values)
      v_param (pointers, ptr to memory)
      s_param (strings, ptr to text)
   
   there is no need to handle directly that parameter processing. the
   plugin stubs are designed to make programmers job more comfortable.
   these stubs can be found in the bgw_???.c or rgw_???.c files.
*/

/*****************************************************************************/

#define FPLUG_SYSTEM_MESSAGE 100
#define FPLUG_USER_MESSAGE 10000

#define FPLUG_INIT_MESSAGE FPLUG_SYSTEM_MESSAGE+0
#define FPLUG_CLOSE_MESSAGE FPLUG_SYSTEM_MESSAGE+2

/*****************************************************************************/

#endif
