/*****************************************************************************/
/*                   Reflections Plugin Support Functions                    */
/*****************************************************************************/

/* title:    list functions prototypes */
/* author:   Reinhard Grams */
/* version:  1.0, 18.9.97 */
/* updated:  10.3.98 by RG */
/* updated:  21.11.99 by RG */

/*****************************************************************************/

#ifndef LISTS_F_INCLUDED
#define LISTS_F_INCLUDED

/*****************************************************************************/

   void
RPL_list_new
   (BasList *list);

   void
RPL_list_add_head
   (BasList *list,BasNode *node);

   void
RPL_list_add_tail
   (BasList *list,BasNode *node);

   void
RPL_list_add_node_before
   (BasList *list,BasNode *position,BasNode *node);

   void
RPL_list_add_node_after
   (BasList *list,BasNode *position,BasNode *node);

   void
RPL_list_remove_head
   (BasList *list);

   void
RPL_list_remove_tail
   (BasList *list);

   void
RPL_list_remove_node
   (BasList *list,BasNode *node);

   void
RPL_list_clear
   (BasList *list);

   BasNode *
RPL_list_get_node
   (BasList *list,long number);

   BasNode **
RPL_list_create_index
   (BasList *list);

/*****************************************************************************/

#ifdef _LISTS_DEBUG_

   VOID
BasDumpListNodes
   (BasList *list);

#endif

/*****************************************************************************/

#endif

/*****************************************************************************/
