/*****************************************************************************/
/*          refgateway stub functions for proper and save usage              */
/*                  of the RPI_do(in,out) commands.                          */
/*****************************************************************************/

/* title:    stub functions includes */
/* author:   Reinhard Grams */
/* version:  1.0, 16.9.97 */
/* updated:  23.3.98 by RG */
/* updated:  16.11.99 by RG */
/* updated:  22.2.2000 by RG */
/* updated:  2.3.2000 by RG */

/*****************************************************************************/

#ifdef INCLUDE_ALL_STUBS

#define INCLUDE_GUI_STUBS           1
#define INCLUDE_PKL_STUBS           1
#define INCLUDE_GEO_EDIT_STUBS      1
#define INCLUDE_OPERATIONS_STUBS    1
#define INCLUDE_CREATE_STUBS        1
#define INCLUDE_OBJECT_STUBS        1
#define INCLUDE_GEO_STUBS           1
#define INCLUDE_EDGES_STUBS         1
#define INCLUDE_TRIANGLE_STUBS      1
#define INCLUDE_MATERIALS_STUBS     1
#define INCLUDE_MEMORY_STUBS        1
#define INCLUDE_FILE_STUBS          1
#define INCLUDE_POLYGON_STUBS       1
#define INCLUDE_PARTICLE_STUBS      1
#define INCLUDE_SPHERES_STUBS       1
#define INCLUDE_DATA_STUBS          1
#define INCLUDE_DISPLAY_STUBS       1
#define INCLUDE_AFTERBURNER_STUBS   1
#define INCLUDE_AFX_STUBS           1
#define INCLUDE_CAMERA_STUBS        1

#endif

/*****************************************************************************/

/* General plugin definitions ************************************************/
#include <fplug.h>

/* Amiga plugin definitions **************************************************/
#include <amihead.c>

/* Refgateway definitions ****************************************************/
#include <rgw_defs.h> 

/* Refgateway functions protos ***********************************************/
#include <rgw_func.h> 

/* General stub definitions **************************************************/
#include <rgw_stub.h>

/* User-interface functions **************************************************/
#if INCLUDE_GUI_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_gui.h>
#else
#include <rgw_gui.c>
#endif
#endif

/* PKL functions *************************************************************/
#if INCLUDE_PKL_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_pkl.h>
#else
#include <rgw_pkl.c>
#endif
#endif

/* GEO_EDIT functions ********************************************************/
#if INCLUDE_GEO_EDIT_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_ge.h>
#else
#include <rgw_ge.c>
#endif
#endif

/* Operations functions ******************************************************/
#if INCLUDE_OPERATIONS_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_op.h>
#else
#include <rgw_op.c>
#endif
#endif

/* Create functions **********************************************************/
#if INCLUDE_CREATE_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_crea.h>
#else
#include <rgw_crea.c>
#endif
#endif

/* Object functions **********************************************************/
#if INCLUDE_OBJECT_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_obj.h>
#else
#include <rgw_obj.c>
#endif
#endif

/* Geo-Obj functions *********************************************************/
#if INCLUDE_GEO_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_geo.h>
#else
#include <rgw_geo.c>
#endif
#endif

/* Kanten-Geo-Obj functions **************************************************/
#if INCLUDE_EDGES_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_kgeo.h>
#else
#include <rgw_kgeo.c>
#endif
#endif

/* Drei-Obj functions ********************************************************/
#if INCLUDE_TRIANGLE_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_drei.h>
#else
#include <rgw_drei.c>
#endif
#endif

/* Mat-Obj functions *********************************************************/
#if INCLUDE_MATERIALS_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_mat.h>
#else
#include <rgw_mat.c>
#endif
#endif

/* Memory functions **********************************************************/
#if INCLUDE_MEMORY_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_mem.h>
#else
#include <rgw_mem.c>
#endif
#endif

/* File functions ************************************************************/
#if INCLUDE_FILE_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_file.h>
#else
#include <rgw_file.c>
#endif
#endif

/* Polygon functions *********************************************************/
#if INCLUDE_POLYGON_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_pol.h>
#else
#include <rgw_pol.c>
#endif
#endif

/* Particle functions ********************************************************/
#if INCLUDE_PARTICLE_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_prt.h>
#else
#include <rgw_prt.c>
#endif
#endif

/* Kugel functions ***********************************************************/
#if INCLUDE_SPHERES_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_kug.h>
#else
#include <rgw_kug.c>
#endif
#endif

/* Data save/load functions **************************************************/
#if INCLUDE_DATA_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_data.h>
#else
#include <rgw_data.c>
#endif
#endif

/* display functions *********************************************************/
#if INCLUDE_DISPLAY_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_disp.h>
#else
#include <rgw_disp.c>
#endif
#endif

/* afterburner functions *****************************************************/
#if INCLUDE_AFTERBURNER_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_ab.h>
#else
#include <rgw_ab.c>
#endif
#endif

/* afx functions *************************************************************/
#if INCLUDE_AFX_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_afx.h>
#else
#include <rgw_afx.c>
#endif
#endif

/* camera functions **********************************************************/
#if INCLUDE_CAMERA_STUBS
#ifdef PLUGIN_STUBS_LIBRARY
#include <rgw_cam.h>
#else
#include <rgw_cam.c>
#endif
#endif

/* General stub data *********************************************************/
#include <rgw_stub.c>

/*****************************************************************************/
