/*****************************************************************************/
/*          refgateway stub functions for proper and save usage              */
/*                  of the RPI_do(in,out) commands.                          */
/*****************************************************************************/

/* title:    kant_geo functions */
/* author:   Carsten Fuchs  */
/* version:  1.0, 16.8.98   */
/* updated:  17.11.99 by RG */
/* updated:  2.3.2000 by RG */

/*****************************************************************************/

#if MONZOOM_VERSION >= 45

/*****************************************************************************/
/* allocate edges for a kant_geo-object */

   RPIStub long
RPI_kgeo_alloc_kanten
   (RPI_HANDLE handle,RPI_OBJECT k,long nkanten)
{
   /* handle:       refgateway-handle
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.id=RPI_KANT_GEO_ALLOC_KANTEN;
   in.v_param[1]=k;
   in.l_param[0]=nkanten;
   return(RPI_do(&in,&out));   
}
/*****************************************************************************/
/* set endpoints for an edge of a kant_geo-object */

   RPIStub long
RPI_kgeo_set_kante
   (RPI_HANDLE handle,RPI_OBJECT k,long kant_nr,long pt1,long pt2)
{
   /* handle:       refgateway-handle
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.id=RPI_KANT_GEO_SET_KANTE;
   in.v_param[1]=k;
   in.l_param[0]=kant_nr;
   in.l_param[1]=pt1;
   in.l_param[2]=pt2;
   return(RPI_do(&in,&out));   
}
/*****************************************************************************/
/* set flags of a kant_geo-object */

   RPIStub long
RPI_kgeo_set_flags
   (RPI_HANDLE handle,RPI_OBJECT k,unsigned long flags)
{
   /* handle:       refgateway-handle
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.id=RPI_KANT_GEO_SET_FLAGS;
   in.v_param[1]=k;
   in.l_param[0]=(long)flags;
   return(RPI_do(&in,&out));   
}
/*****************************************************************************/
/* get flags of a kant_geo-object */

   RPIStub long
RPI_kgeo_get_flags
   (RPI_HANDLE handle,RPI_OBJECT k,unsigned long *flags)
{
   /* handle:       refgateway-handle
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   long ret;

   in.v_param[0]=handle;
   in.id=RPI_KANT_GEO_GET_FLAGS;
   in.v_param[1]=k;
   in.l_param[0]=(long)flags;  
   if (0!=(ret=RPI_do(&in,&out))) {
       *flags=out.l_param[0];
   }
   return(ret);
}
/*****************************************************************************/
/* set color of a kant_geo-object */

   RPIStub long
RPI_kgeo_set_color
   (RPI_HANDLE handle,RPI_OBJECT k,long nr,long col[3])
{
   /* handle:       refgateway-handle
      nr:           KG_COL_PTS or KG_COL_LINES
      rgb:          desired color (each 0..255)
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.id=RPI_KANT_GEO_SET_COLOR;
   in.v_param[1]=k;
   in.l_param[0]=nr;
   in.l_param[1]=col[0];
   in.l_param[2]=col[1];
   in.l_param[3]=col[2];
   return(RPI_do(&in,&out));   
}
/*****************************************************************************/
/* get color of a kant_geo-object */

   RPIStub long
RPI_kgeo_get_color
   (RPI_HANDLE handle,RPI_OBJECT k,long nr,long col[3])
{
   /* handle:       refgateway-handle
      nr:           KG_COL_PTS or KG_COL_LINES
      rgb:          desired color (each 0..255)
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   long ret;

   in.v_param[0]=handle;
   in.id=RPI_KANT_GEO_GET_COLOR;
   in.v_param[1]=k; 
   in.l_param[0]=nr;
   if (0!=(ret=RPI_do(&in,&out))) {
      col[0]=out.l_param[0];
      col[1]=out.l_param[1];
      col[2]=out.l_param[2];
   }
   return(ret);
}
/*****************************************************************************/

#endif /* if MONZOOM_VERSION >= 45 */

/*****************************************************************************/
