/*****************************************************************************/
/*          refgateway stub functions for proper and save usage              */
/*                  of the RPI_do(in,out) commands.                          */
/*****************************************************************************/
/* title:    kant_geo functions */
/* author:   Carsten Fuchs  */
/* version:  1.0, 16.8.98   */
/* updated:  17.11.99 by RG */
/* updated:  2.3.2000 by RG */
/*****************************************************************************/
#if MONZOOM_VERSION >= 45
/*****************************************************************************/
/* allocate edges for a kant_geo-object */

   RPIStub long
RPI_kgeo_alloc_kanten
   (RPI_HANDLE handle,RPI_OBJECT k,long nkanten);

   /* handle:       refgateway-handle
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* set endpoints for an edge of a kant_geo-object */

   RPIStub long
RPI_kgeo_set_kante
   (RPI_HANDLE handle,RPI_OBJECT k,long kant_nr,long pt1,long pt2);

   /* handle:       refgateway-handle
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* set flags of a kant_geo-object */

   RPIStub long
RPI_kgeo_set_flags
   (RPI_HANDLE handle,RPI_OBJECT k,unsigned long flags);

   /* handle:       refgateway-handle
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* get flags of a kant_geo-object */

   RPIStub long
RPI_kgeo_get_flags
   (RPI_HANDLE handle,RPI_OBJECT k,unsigned long *flags);

   /* handle:       refgateway-handle
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* set color of a kant_geo-object */

   RPIStub long
RPI_kgeo_set_color
   (RPI_HANDLE handle,RPI_OBJECT k,long nr,long col[3]);

   /* handle:       refgateway-handle
      nr:           KG_COL_PTS or KG_COL_LINES
      rgb:          desired color (each 0..255)
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* get color of a kant_geo-object */

   RPIStub long
RPI_kgeo_get_color
   (RPI_HANDLE handle,RPI_OBJECT k,long nr,long col[3]);

   /* handle:       refgateway-handle
      nr:           KG_COL_PTS or KG_COL_LINES
      rgb:          desired color (each 0..255)
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
#endif /* if MONZOOM_VERSION >= 45 */
/*****************************************************************************/
