/*****************************************************************************/
/*          refgateway stub functions for proper and save usage              */
/*                  of the RPI_do(in,out) commands.                          */
/*****************************************************************************/

/* title:    operation tools functions */
/* author:   Carsten Fuchs */
/* version:  1.0, 16.9.97 */
/* updated:  23.3.98 by RG */
/* updated:  17.11.99 by RG */
/* updated:  2.3.2000 by RG */

/*****************************************************************************/
/* add a tool to the reflections operations menu */

   RPIStub long 
RPI_add_single_tool
   (RPI_HANDLE handle,char *text,long tool_id,long geo_id)
{
   /* handle:       refgateway-handle
      text:         title of the new menu entry
      tool_id:      unique id to identify the tool
      geo_id:       type of object the tool is designed for
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.l_param[0]=tool_id;
   in.l_param[1]=geo_id;
   in.s_param[0]=text;
   in.id=RPI_ADD_SINGLE_TOOL;
   return(RPI_do(&in,&out));   
}
/*****************************************************************************/
/* remove a tool from the reflections operations menu */

   RPIStub long
RPI_sub_single_tool
   (RPI_HANDLE handle,long tool_id)
{
   /* handle:       refgateway-handle
      tool_id:      unique id to identify the tool
      returns:      0 if failed
                    1 if ok
   */
   PLI_param in,out;
   
   in.v_param[0]=handle;
   in.l_param[0]=tool_id;
   in.id=RPI_SUB_SINGLE_TOOL;
   return(RPI_do(&in,&out));
}
/*****************************************************************************/
